Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 1005)
@@ -33,7 +33,7 @@
 	 */
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof CA)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof CA)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 1004)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeIndex.java	(revision 1005)
@@ -79,7 +79,7 @@
 				index = (Index) selection;
 			}
 			else {
-				return super.logCanNotCompute(selection);
+				return super.logCanNotExecuteCommand(selection);
 			}
 		}
 		
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 1004)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/ComputeLexicon.java	(revision 1005)
@@ -54,7 +54,7 @@
 //			index = (Index) selection;
 //		}
 		else {
-			super.logCanNotCompute(selection);
+			super.logCanNotExecuteCommand(selection);
 		}
 		
 		open(index);
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexAdapterFactory.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Index)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Index)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 1005)
@@ -25,7 +25,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Lexicon)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Lexicon)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1004)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1005)
@@ -8,6 +8,7 @@
 import java.util.List;
 import java.util.Properties;
 
+import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.ScrolledComposite;
 import org.eclipse.swt.events.KeyEvent;
@@ -25,6 +26,7 @@
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
 import org.txm.progression.core.functions.Progression;
@@ -39,7 +41,6 @@
 import org.txm.rcp.swt.widget.structures.StructuralUnitPropertiesComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsCombosGroup;
-import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
@@ -523,6 +524,9 @@
 		
 		if(count > maxCount)	{
 			Log.info("The query already exists: " + query);
+			MessageDialog d = new MessageDialog(getShell(), TXMCoreMessages.error_error2, null,
+					ProgressionUIMessages.error_thatQueryIsAlreadyRepresentedByACurveInTheGraphic, 0, new String[] { TXMCoreMessages.common_ok}, 0);
+			d.open();
 			return true;
 		}
 		return false;
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 1004)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 1005)
@@ -83,7 +83,7 @@
 			}
 			// Error
 			else {
-				return this.logCanNotCompute(selection);
+				return this.logCanNotExecuteCommand(selection);
 			}
 		}
 
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 1004)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 1005)
@@ -27,6 +27,9 @@
 	public static String ProgressionDialog_3;
 	public static String ProgressionDialog_7;
 	
+	
+	public static String error_thatQueryIsAlreadyRepresentedByACurveInTheGraphic;
+	
 	static {
 		// initializes resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
Index: tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java
===================================================================
--- tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/adapters/TextsBalanceAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof TextsBalance)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof TextsBalance)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1004)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1005)
@@ -76,7 +76,7 @@
 			}
 			// Error
 			else {
-				return this.logCanNotCompute(selection);
+				return this.logCanNotExecuteCommand(selection);
 			}
 		}
 		
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Concordance)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Concordance)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java	(revision 1004)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java	(revision 1005)
@@ -63,7 +63,7 @@
 		}
 		// Error
 		else	{
-			return super.logCanNotCompute(selection);
+			return super.logCanNotExecuteCommand(selection);
 		}
 		
 		TXMEditor.openEditor(referencer, ReferencerEditor.class.getName());
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 1005)
@@ -24,7 +24,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Referencer)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Referencer)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1004)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 1005)
@@ -168,7 +168,7 @@
 		}
 		// Error
 		else	{
-			this.logCanNotCompute(selection);
+			this.logCanNotExecuteCommand(selection);
 		}
 		
 		TXMEditor.openEditor(lexicalTable, LexicalTableEditor.class.getName());
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/InterTextDistanceAdapterFactory.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/InterTextDistanceAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/InterTextDistanceAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof InterTextDistance)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof InterTextDistance)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/adapters/LexicalTableAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof LexicalTable)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof LexicalTable)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java	(revision 1004)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/handlers/ComputeProperties.java	(revision 1005)
@@ -66,7 +66,7 @@
 		}
 		// Error
 		else	{
-			return super.logCanNotCompute(selection);
+			return super.logCanNotExecuteCommand(selection);
 		}
 		
 		TXMEditor.openEditor(information, PropertiesEditor.class.getName());
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 1005)
@@ -25,7 +25,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Properties)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Properties)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 1004)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 1005)
@@ -48,8 +48,8 @@
 		
 		IEditionEditor editor = (IEditionEditor) this.getActiveEditor(event);
 		String query = ((IEditionEditor)editor).getTextSelection();
-		query = query.replaceAll("\n", "").trim();
-		query = "\"" + Query.addBackSlash(query) + "\"";
+		query = query.replaceAll("\n", "").trim(); //$NON-NLS-1$ //$NON-NLS-2$
+		query = "\"" + Query.addBackSlash(query) + "\""; //$NON-NLS-1$ //$NON-NLS-2$
 		return query;
 	}
 	
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 1004)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 1005)
@@ -101,7 +101,7 @@
 			}
 			// Error
 			else	{
-				return super.logCanNotCompute(selection);
+				return super.logCanNotExecuteCommand(selection);
 			}
 
 		}
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/adapters/WordCloudAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof WordCloud)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof WordCloud)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 1004)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 1005)
@@ -79,7 +79,7 @@
 		}
 		// Error
 		else	{
-			return super.logCanNotCompute(selection);
+			return super.logCanNotExecuteCommand(selection);
 		}
 		
 		// FIXME: Pie chart tests
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Partition)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof Partition)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 1005)
@@ -26,7 +26,7 @@
 
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof PartitionDimensions)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof PartitionDimensions)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1004)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1005)
@@ -30,7 +30,6 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.viewers.ISelection;
-import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
@@ -38,7 +37,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Base command to send a selection to a command that needs a query to compute the new result.
+ * Base command to send a selection to a command that needs one or more queries to compute the new result.
  * 
  * @author mdecorde
  * @author sjacquot
@@ -68,16 +67,12 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		ISelection isel = HandlerUtil.getCurrentSelection(event);
+		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		
-//		IStructuredSelection selection = (IStructuredSelection) isel;
-//		if (selection != null) {
+		if (selection != null) {
 			
-			String query = this.createQuery(event, isel);
-			String queries = null;
-			if (query == null) {
-				queries = this.createQueries(event, isel);
-			}
+			String query = this.createQuery(event, selection);
+			String queries = this.createQueries(event, selection);
 			
 			if(query.isEmpty() && queries.isEmpty()) {
 				Log.severe("No query was set, command canceled.");
@@ -92,10 +87,10 @@
 			
 			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), uuid);
 			
-//		}
-//		else	{
-//			this.logCanNotCompute(selection);
-//		}
+		}
+		else	{
+			this.logCanNotExecuteCommand(selection);
+		}
 		return null;
 	}
 
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1004)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1005)
@@ -79,7 +79,7 @@
 			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), uuid);
 		}
 		else	{
-			this.logCanNotCompute(selection);
+			this.logCanNotExecuteCommand(selection);
 		}
 		return null;
 	}
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 1004)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 1005)
@@ -32,7 +32,7 @@
 	 */
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof AHC)	{
+		if(this.canAdapt(adapterType) && adaptableObject instanceof AHC)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 1005)
@@ -50,9 +50,9 @@
 	public static final String EXPORT_ENCODING = "export_encoding"; //$NON-NLS-1$
 
 	/** The Constant EXPORT_COLSEPARATOR. */
-	public static final String EXPORT_COLSEPARATOR = "export_colseparator"; //$NON-NLS-1$
+	public static final String EXPORT_COL_SEPARATOR = "export_colseparator"; //$NON-NLS-1$
 	/** The Constant EXPORT_TXTSEPARATOR. */
-	public static final String EXPORT_TXTSEPARATOR = "export_txtseparator"; //$NON-NLS-1$
+	public static final String EXPORT_TXT_SEPARATOR = "export_txtseparator"; //$NON-NLS-1$
 
 
 	/**
@@ -64,7 +64,7 @@
 	/**
 	 * To enable/disable the results persistence (save after a computing and load at Toolbox start).
 	 */
-	public static final String PERSISTENCE_ENABLED = "persistence_enabled"; //$NON-NLS-1$
+	public static final String AUTO_PERSISTENCE_ENABLED = "auto_persistence_enabled"; //$NON-NLS-1$
 
 	@Override
 	public void initializeDefaultPreferences() {
@@ -89,12 +89,12 @@
 		preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ","); //$NON-NLS-1$
 		preferences.put(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, "__UNDEF__"); //$NON-NLS-1$
 		
-		preferences.put(EXPORT_COLSEPARATOR, "\t"); //$NON-NLS-1$
+		preferences.put(EXPORT_COL_SEPARATOR, "\t"); //$NON-NLS-1$
 		preferences.put(EXPORT_ENCODING, System.getProperty("file.encoding")); //$NON-NLS-1$
-		preferences.put(EXPORT_TXTSEPARATOR, ""); //$NON-NLS-1$
+		preferences.put(EXPORT_TXT_SEPARATOR, ""); //$NON-NLS-1$
 		preferences.putBoolean(EXPORT_SHOW, false);
 		
 		preferences.putBoolean(SHOW_ALL_RESULT_NODES, false);
-		preferences.putBoolean(PERSISTENCE_ENABLED, true);
+		preferences.putBoolean(AUTO_PERSISTENCE_ENABLED, true);
 	}
 }
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 1005)
@@ -8,6 +8,7 @@
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.Arrays;
+import java.util.Collections;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Set;
@@ -1197,7 +1198,7 @@
 		} catch (Exception e) {
 			e.printStackTrace();
 		}
-
+		Collections.sort(resultsNodesQualifiers);
 		return resultsNodesQualifiers;
 	}
 
Index: tmp/org.txm.core/src/java/org/txm/core/results/comparators/Comparators.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/comparators/Comparators.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/results/comparators/Comparators.java	(revision 1005)
@@ -11,6 +11,7 @@
 
 /**
  * Class to manage different comparators for a sorting type.
+ * 
  * @author sjacquot
  *
  */
Index: tmp/org.txm.core/src/java/org/txm/core/results/comparators/MultipleComparators.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/comparators/MultipleComparators.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/results/comparators/MultipleComparators.java	(revision 1005)
@@ -16,9 +16,14 @@
  */
 public class MultipleComparators implements Comparator<TXMResult> {
 	
+	/**
+	 * Comparators to use.
+	 */
 	protected ArrayList<Comparator<TXMResult>> comparators;
 	 
 	/**
+	 * Creates a comparator dedicated to multiple chained sorting.
+	 * The comparison process sequentially calls the specified comparator comparison methods.
 	 * 
 	 * @param comparators
 	 */
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1005)
@@ -136,10 +136,15 @@
 
 
 	/**
-	 * Persistable state.
+	 * Internal persistable state.
 	 */
 	protected boolean persistable;
 	
+	/**
+	 * User persistable state.
+	 */
+	protected boolean userPersistable;
+	
 
 	/**
 	 * Creates a new TXMResult, child of the specified parent.
@@ -196,6 +201,7 @@
 
 		this.dirty = true;
 		this.persistable = true;
+		this.userPersistable = false;
 		
 
 		// retrieving parent from UUID
@@ -964,6 +970,18 @@
 		return false;
 	}
 
+	/**
+	 * Deletes all non persistent results.
+	 */
+	synchronized public static void deleteAllNonPersistentResults() {
+		ArrayList<TXMResult> results = Toolbox.workspace.getDeepChildren();
+		for (int i = 0; i < results.size(); i++) {
+			if(!results.get(i).mustBePersisted())	{ 
+				Log.finest("TXMResult.deleteAllNonPersistentResults(): Deleting result " + results.get(i).getSimpleName());
+			}
+		}
+	}
+	
 
 	/**
 	 * Gets a child specified by its index in the children list.
@@ -1646,9 +1664,8 @@
 			Log.severe("TXMResult.compute():" + this.getClass().getSimpleName() + ": failed to save parameters for " + this.getName() + ".");
 		}
 
-		// FIXME: file persistence flush tests
-		if (this.persistable && TBXPreferences.getBoolean(TBXPreferences.PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE)) {
-			Log.finest("TXMResult.compute(): flushing local preferences node in file for persistence tests.");
+		// file persistence flush
+		if (this.mustBePersisted()) {
 			TXMPreferences.flush(this);
 		}
 
@@ -1670,6 +1687,16 @@
 	 */
 	protected abstract boolean _compute() throws Exception;
 
+	
+	/***
+	 * Checks if the result must be persisted according to the persistence global preference or the user persistable state.
+	 * @return
+	 */
+	public boolean mustBePersisted()	{
+		return (this.persistable && TBXPreferences.getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TBXPreferences.PREFERENCES_NODE)
+				|| this.userPersistable);
+	}
+	
 	/**
 	 * 
 	 * @return the array of extensions to show in the FileDialog SWT widget
@@ -1859,4 +1886,28 @@
 	public String getLazyName() {
 		return lazyName;
 	}
+
+	/**
+	 * @return the userPersistable
+	 */
+	public boolean isUserPersistable() {
+		return userPersistable;
+	}
+
+	/**
+	 * @param userPersistable the userPersistable to set
+	 */
+	public void setUserPersistable(boolean userPersistable) {
+		this.userPersistable = userPersistable;
+		Log.finest("TXMResult.setUserPersistable(): " + userPersistable);
+	}
+	
+	/**
+	 * Swaps the user persistable state. 
+	 */
+	public void swapUserPersistableState()	{
+		this.setUserPersistable(!this.userPersistable);
+	}
+	
+
 }
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 1005)
@@ -25,6 +25,7 @@
 	public static String common_mode;
 	public static String common_numberOfLines;
 	public static String common_ok;
+
 	public static String common_pleaseWait;
 	public static String common_properties;
 	public static String common_property;
@@ -37,6 +38,7 @@
 	public static String common_frequency;
 
 	public static String error_error;
+	public static String error_error2;
 	
 	public static String ApplicationWorkbenchAdvisor_13;
 	public static String ApplicationWorkbenchAdvisor_14;
Index: tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 1004)
+++ tmp/org.txm.core/src/java/org/txm/core/engines/EngineType.java	(revision 1005)
@@ -24,7 +24,7 @@
 	final private String description;
 
 	/**
-	 * 
+	 * Creates a new engine type.
 	 * @param description
 	 */
 	private EngineType(String description) {
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1004)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 1005)
@@ -53,6 +53,7 @@
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
+import org.txm.utils.logger.Log;
 
 /**
  * Exports chart using charts engine export.
@@ -117,13 +118,13 @@
 			try {
 				file.createNewFile();
 			} catch (IOException e1) {
-				System.err.println(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
+				Log.severe(NLS.bind(TXMUIMessages.ExportResult_3, file, e1));
 			}
 			if (!file.canWrite()) {
-				System.err.println(NLS.bind(TXMUIMessages.ExportResult_5, file));
+				Log.severe(NLS.bind(TXMUIMessages.ExportResult_5, file));
 			}
 			if (!file.isFile()) {
-				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
+				Log.severe("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
 			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
@@ -138,7 +139,7 @@
 
 						if (file.exists()) {
 
-							System.out.println(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							Log.info(NLS.bind(TXMUIMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if (TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
